#include <stdio.h>
#include <graphics.h>

int main()
{
    int gd = DETECT, gm = DETECT, hibakod, szin1, szin2, szin3;
    detectgraph(&gd, &gm);

    switch(gd)
    {
        case 1: /* CGA tpus videkrtya */
            gm = CGAC1;
            szin1 = 1;
            szin2 = 2;
            szin3 = 3;
            break;
        case 2: /* EGA tpus videkrtya */
            gm = EGAHI;
            szin1 = LIGHTGRAY;
            szin2 = CYAN;
            szin3 = MAGENTA;
            break;
        case 7: /* Hercules tpus videkrtya */
            gm = HERCMONOHI;
            szin1 = 1;
            szin2 = 1;
            szin3 = 1;
            break;
        case 9: /* VGA kompatibilis videkrtya */
            gm = VGALO;
            szin1 = LIGHTGRAY;
            szin2 = CYAN;
            szin3 = MAGENTA;
            break;
    }

    initgraph(&gd, &gm, NULL);
    hibakod = graphresult();

    if (hibakod)
    {
        printf("Grafikus hiba: %s", grapherrormsg(hibakod));
        exit(1);
    }

    setfillstyle(SOLID_FILL, szin1);
    bar(0, 0, getmaxx(), getmaxy());

    setbkcolor(szin1);
    setcolor(szin2);
    rectangle(0, 0, getmaxx(), getmaxy());

    settextjustify(CENTER_TEXT, CENTER_TEXT);
    settextstyle(DEFAULT_FONT, HORIZ_DIR, 3);
    setcolor(szin3);
    outtextxy(getmaxx() / 2, getmaxy() / 2, "Grafika");

    getchar();
    closegraph();
    return 0;
}
